<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>sckw-modules</artifactId>
        <groupId>com.sckw</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <version>${example.revision}</version>
    <artifactId>sckw-example</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <upgrade.version>1.1.0</upgrade.version>
        <basic.version>1.0.0</basic.version>
    </properties>

    <dependencies>
        <!-- 核心模块 -->
        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-startup</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-core</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-mongo</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-xxljob</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-stream</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-remote</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-redis</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-excel</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-datasource</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-seata</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-common-sentinel</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-system-api</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-file-api</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-message-api</artifactId>
            <version>${basic.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-order-api</artifactId>
            <version>${basic.version}</version>
        </dependency>
        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-payment-api</artifactId>
            <version>${basic.version}</version>
        </dependency>
        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>sckw-transport-api</artifactId>
            <version>${basic.version}</version>
        </dependency>
        <!--junit-->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>